DefaultIncludeFileLocator (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.DefaultIncludeFileLocator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder
Class DefaultIncludeFileLocator

    java.lang.Object
      com.nokia.carbide.internal.api.cpp.epoc.engine.preprocessor.BasicIncludeFileLocator
          com.nokia.carbide.cdt.builder.DefaultIncludeFileLocator

All Implemented Interfaces:
  IIncludeFileLocator

    public class DefaultIncludeFileLocator

extends com.nokia.carbide.internal.api.cpp.epoc.engine.preprocessor.BasicIncludeFileLocator

This default include file locator provides system #include directories based on an SDK's include directory and variant.hrh directory.

Constructor Summary
`DefaultIncludeFileLocator(IProject project, ISymbianBuildContext buildContext)` Create default #include locator that searches the same directory as an #including file and optionally the given SDK's epoc32\include directory.

Method Summary

Methods inherited from class com.nokia.carbide.internal.api.cpp.epoc.engine.preprocessor.BasicIncludeFileLocator
`findIncludeFile, getSystemPaths, getUserPaths, setPaths`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultIncludeFileLocator

    public DefaultIncludeFileLocator(IProject project,
                                     ISymbianBuildContext buildContext)

  Create default #include locator that searches the same directory as an #including file and optionally the given SDK's epoc32\include directory.

  Parameters:
    `project` - the project providing the bld.inf path
    `buildContext` - the build context, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD